<main role="main" class="container">
    <div class="jumbotron">
        <h3 class="display-4">
            Welcome to Reporter<span style="font-style: italic">Lite</span>
            <span> Guest_User</span>
        </h3>
        <!-- <div th:text="${#authentication.name}" ></div> -->
        <p class="lead">A simple reporting app.</p>
        <hr class="my-4" />
        <p>ReporterLite delivers high quality reports when you need them!</p>
        Logged user: <span sec:authentication="name">Bob</span> <br />
        Roles: <span sec:authentication="principal.authorities"></span>

        <br />

        <div th:if="${#authorization.expression('hasRole(''ADMIN'')')}">
            This will only be displayed if authenticated user has role ADMIN.
        </div>
        <div th:if="${#authorization.expression('hasRole(''USER'')')}">
            This will only be displayed if authenticated user has role role_user.
        </div>
  
          <div sec:authorize="hasRole('ROLE_ADMIN')">
            <a href="#">Switch User</a>
          </div>
          <div sec:authorize="hasRole('ADMIN')">
            <a href="#">Switch User 2</a>
          </div>
  
          <br />
          <!--
            avoid below, works for admin and user both
            <div security:authorize="hasRole('USER')">for user.</div>
            <div security:authorize="hasRole('ROLE_USER')">
              for role_User section only.
            </div>
          -->
  
          <!--
            <security:authorize access="hasRole('ADMIN')">
              This is Admin
            </security:authorize>
            <security:authorize access="hasRole('ROLE_ADMIN')">
              This is role_admin
            </security:authorize>
          -->
  
          <div th:if="${#authorization.expression('hasRole(''ROLE_ADMIN'')')}">
            This will only be displayed if authenticated user has role ROLE_ADMIN.
          </div>
  
          <p class="lead">
            <a class="btn btn-outline-primary btn-md" href="#" role="button"
              >Learn more</a
            >
          </p>
        </div>
  
        <!--
          <div th:if="${#authorization.expression('hasRole(''USER'')')}">
            This will only be displayed if authenticated user has role user.
          </div>
        -->
      </main>
  